unit UnitsDialog;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Controls, Forms,
  Dialogs, StdCtrls, sSkinProvider, Buttons, sBitBtn, Math;

type
  TFormsDialog = class(TForm)
    sSkinProvider1: TsSkinProvider;
    BoutYes: TsBitBtn;
    BoutNo: TsBitBtn;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    BoutOK: TsBitBtn;
    function ShowsDialog(Lab1,Lab2,Lab3:string; YesNo:boolean):boolean;
    procedure BoutNoClick(Sender: TObject);
    procedure BoutYesClick(Sender: TObject);
    procedure BoutOKClick(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
    Warning,Info:string;
  end;

var
  FormsDialog: TFormsDialog;

implementation


{$R *.dfm}







function TFormsDialog.ShowsDialog(Lab1,Lab2,Lab3:string; YesNo:boolean):boolean;
var
  MaxWidth:integer;
  ModalRes:integer;
begin
  Label1.Caption:=Lab1;
  Label2.Caption:=Lab2;
  Label3.Caption:=Lab3;
  MaxWidth:=Label1.Width;
  if Label2.Width>MaxWidth then
    MaxWidth:=Label2.Width;
  if Label3.Width>MaxWidth then
    MaxWidth:=Label3.Width;
  Width:=Max(MaxWidth+56,260);
  if Label3.Caption<>'' then
    Height:=204
  else if Label2.Caption<>'' then
    Height:=180
  else
    Height:=156;
  BoutYes.Top:=Height-88;
  BoutNo.Top:=BoutYes.Top;
  BoutOK.Top:=BoutYes.Top;
  if YesNo then
  begin
    Caption:=Warning;
    BoutYes.Visible:=true;
    BoutNo.Visible:=true;
    BoutOK.Visible:=false;
  end
  else
  begin
    Caption:=Info;
    BoutYes.Visible:=false;
    BoutNo.Visible:=false;
    BoutOK.Visible:=true;
  end;
  BoutOK.Left:=(Width-BoutOK.Width) div 2 - 8;
  BoutYes.Left:=BoutOK.Left-64;
  BoutNo.Left:=BOutOK.Left+56;
  ModalRes:=FormsDialog.ShowModal;
  if ModalRes=mrNo then
    result:=false
  else
    result:=true;
end;




procedure TFormsDialog.BoutNoClick(Sender: TObject);
begin
  ModalResult:=mrNo;
end;

procedure TFormsDialog.BoutYesClick(Sender: TObject);
begin
  ModalResult:=mrYes;
end;

procedure TFormsDialog.BoutOKClick(Sender: TObject);
begin
  ModalResult:=mrOK;
end;

end.
